[ANN] luaposix 5.1.18 released

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

[ANN] luaposix 5.1.18 released

Reuben Thomas-5
I am happy to announce the release of luaposix 5.1.18,
Lua bindings for POSIX (including curses).

This release implements full Lua 5.2 compatibility; thanks to Enrico Tassi
for poking me to get this done. The implementation of strlcpy is changed to
a BSD-licensed implementation; the previously-used implementation was
LGPL-licensed, which is not MIT-compatible. Thanks to Alexander Gladysh for
bringing this problem to my attention.

Download it from
https://github.com/downloads/rrthomas/luaposix/luaposix-5.1.18.tar.gz
luaposix's home page is at https://github.com/rrthomas/luaposix

Reply | Threaded
Open this post in threaded view
|

Re: [ANN] luaposix 5.1.18 released

Alexander Gladysh
On Tue, Apr 10, 2012 at 14:25,  <[hidden email]> wrote:
> I am happy to announce the release of luaposix 5.1.18,
> Lua bindings for POSIX (including curses).

5.1.18 tag on GitHub still contains LGPL code:

https://github.com/rrthomas/luaposix/blob/v5.1.18/strlcpy.c

> This release implements full Lua 5.2 compatibility; thanks to Enrico Tassi
> for poking me to get this done. The implementation of strlcpy is changed to
> a BSD-licensed implementation; the previously-used implementation was
> LGPL-licensed, which is not MIT-compatible. Thanks to Alexander Gladysh for
> bringing this problem to my attention.

Thanks to eagle-eyed Steve Donovan, who originally brought up this
issue in this mailing list.

Alexander.